# Prestructured Queries

Using a patient's unique Assembled graph instance as input for Synthesize enables developers to preset queries to run automatically any time data in the record is updated.&#x20;

## **Concordance**

The first of these endpoints is `/concordance` which automatically surfaces and synthesizes the guidelines for each of the problems on a patient's problem list. Responses are contextualized to the data in a patient's record corresponding not just to their current care plans, but their medical history, including labs, pre-existing conditions, and risk factors.&#x20;

### Endpoint

```
POST /v1/concordance
```

### Authentication

All requests require an API key passed in the request header:

```
x-api-key: <your-api-key>
```

***

### Request Headers

| Header         | Value              | Required |
| -------------- | ------------------ | -------- |
| `x-api-key`    | Your API key       | Yes      |
| `Content-Type` | `application/json` | Yes      |

### Request Body

The request body consists of an `AssembledPatient` and a `ccsr_category`  to indicate which problem list item is being evaluated for guideline concordance.

| Field               | Type               | Required | Description                                                                                                                                      |
| ------------------- | ------------------ | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| `assembled_patient` | `AssembledPatient` | Yes      | [Assemble output](https://app.gitbook.com/o/-MFrU3GFDQCtxSiSV1o5/s/-M1zWgwfNb8Lu2WVCnfw/~/edit/~/changes/652/api-docs/assemble#assembledpatient) |
| `ccsr_category`     | `str`              | Yes      | The problem list item (CCSR category)                                                                                                            |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.system.com/system/api-docs/synthesize/prestructured-queries.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
